/*
Theme Name:   Design Comuni Italia Child Theme
Theme URI:    https://www.smai.eu
Description:  
Author:       webmaster@smai.eu
Author URI:   https://www.smai.eu
Template:     design-comuni-wordpress-theme-1.7.0
Version:      1.7.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  design_comuni_italia
*/

.mt-n1 {
    margin-top: -4px;
}
.mt-n2 {
    margin-top: -8px;
}
.mt-n3 {
    margin-top: -16px;
}
.mt-n4 {
    margin-top: -24px;
}
.mt-n5 {
    margin-top: -48px;
}

.mb-n1 {
    margin-bottom: -4px;
}
.mb-n2 {
    margin-bottom: -8px;
}
.mb-n3 {
    margin-bottom: -16px;
}
.mb-n4 {
    margin-bottom: -24px;
}
.mb-n5 {
    margin-bottom: -48px;
}

.ms-n1 {
    margin-left: -4px;
}
.ms-n2 {
    margin-left: -8px;
}
.ms-n3 {
    margin-left: -16px;
}
.ms-n4 {
    margin-left: -24px;
}
.ms-n5 {
    margin-left: -48px;
}

.me-n1 {
    margin-right: -4px;
}
.me-n2 {
    margin-right: -8px;
}
.me-n3 {
    margin-right: -16px;
}
.me-n4 {
    margin-right: -24px;
}
.me-n5 {
    margin-right: -48px;
}

 
.card-avatar-squared {
    margin-top: -16px;
    margin-right: -24px;
    margin-bottom: -16px;
    max-width: 128px;
    max-height: 128px;
}

.card-avatar-squared img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.dcic-carousel-slide-squared .card.card-img .img-responsive-wrapper .img-responsive {
    padding-bottom: 100%;
}

.dcic-home-argomenti-custom-bg {
    width: 100%;
    height: 300px;
    left: 0;
    top: 0;
    background-size: cover;
    background-position: 50%;
    background-color: #f5f5f5;
}

.evidence-section .section.unfiltered {
    background-blend-mode: unset;
    background-color: transparent;
}

.transform-unset {
    transform: none !important;
}

.dnd-upload-status .dnd-upload-details .dnd-progress-bar {
    background: #e9e9e9 !important;
    height: 16px;
    display: flex;
    align-items: center;
    position: relative;
    width: 100%;
}

.dnd-upload-status .dnd-upload-details .dnd-progress-bar span {
    line-height: 1px;
    text-align: left;
    text-indent: -40px;
    font-size: 13px;
    color: #181818;
    height: 4px;
    border-radius: 2px;
    padding-right: 0;
    /* margin-left: 40px; */
    display: block;
    position: relative;
    z-index: 1;
    width: 0;
    background: linear-gradient(45deg, #8BC34A, #4CAF50);
}

span.dnd-progress-bar:after {
    content: " ";
    width: calc(100% - 20px);
    background: #e7e7e7;
    position: absolute;
    height: 4px;
    z-index: 0;
    border-radius: 2px;
    margin-left: 10px;
    left: 0;
    top: 6px;
}

.dnd-upload-status.complete .dnd-upload-details .dnd-progress-bar span {
    color: #ffffff;
    padding-right: 3px;
    font-weight: 600;
}

.dnd-upload-status .dnd-upload-details .name {
    color: inherit;
    align-items: flex-end;
}

.dnd-upload-status .dnd-upload-details .name span {
    font-size: .889rem;
    font-weight: 600;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.dnd-upload-status .dnd-upload-details .name em {
    font-weight: 400;
    color: #676c7e;
    font-size: .75em;
    margin-left: 0;
    display: inline-block;
    font-style: normal;
}

.dnd-upload-status .dnd-upload-image {
    border: 0;
}

/*
.dnd-upload-status .dnd-upload-details .dnd-progress-bar span {
    line-height: 4px;
    text-align: left;
    text-indent: -999em;
}

.dnd-upload-status .dnd-upload-details .dnd-progress-bar {
    background: #d8d9da;
    height: 4px;
}
*/

.codedropz-upload-wrapper span.has-error-msg {
    font-style: normal;
    color: #ce2740;
    font-size: .777rem;
    font-weight: normal;
    display: block;
}

.dnd-upload-status .dnd-upload-details span.has-error {
    color: #ce2740;
    font-weight: normal;
    font-size: .777rem;
}

.wpcf7-not-valid-tip {
    color: #ce2740;
    font-weight: normal;
    display: block;
    margin-left: 0.5rem;
    width: 100%;
    margin-top: 0.25rem;
    font-size: .777rem;
}

.codedropz-btn-wrap {
    display: inline-block;
    margin-left: 5px;
}

.wpcf7-form-control-wrap.dcic-checkbox .wpcf7-list-item {
    margin-left: 0;
}

.wpcf7-form-control-wrap.dcic-checkbox .wpcf7-form-control {
    display: block;
}

.cmp-text-area .form-group .form-control.text-area {
    box-shadow: unset;
}

.cmp-text-area .form-group .form-control.text-area.is-invalid {
    border-color: #cc334d !important;
}

.wpcf7-not-valid {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23f73e5a' viewBox='0 0 384 512'%3E%3Cpath d='M231.6 256l130.1-130.1c4.7-4.7 4.7-12.3 0-17l-22.6-22.6c-4.7-4.7-12.3-4.7-17 0L192 216.4 61.9 86.3c-4.7-4.7-12.3-4.7-17 0l-22.6 22.6c-4.7 4.7-4.7 12.3 0 17L152.4 256 22.3 386.1c-4.7 4.7-4.7 12.3 0 17l22.6 22.6c4.7 4.7 12.3 4.7 17 0L192 295.6l130.1 130.1c4.7 4.7 12.3 4.7 17 0l22.6-22.6c4.7-4.7 4.7-12.3 0-17L231.6 256z'/%3E%3C/svg%3E");
    padding-right: calc(1.5em + 0.75rem);
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.1875rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
    background-size: 70px 20px !important;
    border-color: #cc334d !important;
}


.wpcf7 form.wpcf7-form .wpcf7-response-output {
    position: relative;
    padding: 1rem 1rem;
    margin: 1rem 0 4.5rem;
    border: 1px solid #5d6583;
    padding-left: 4em;
    background-color: #fff;
    border-radius: 0;
    color: #1a1a1a;
    max-width: 700px;    
}

.wpcf7 form.wpcf7-form.sent .wpcf7-response-output {
    background-position: 20px 16px;
    background-repeat: no-repeat;
    background-size: 32px 32px;
    border-left: 8px solid hsl(160deg, 100%, 25%);
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='hsl(160deg, 100%, 25%)' d='M17.1 7.9l.7.7-7.8 7.6-4.7-4.6.7-.7 4 3.9zM22 12A10 10 0 1 1 12 2a10 10 0 0 1 10 10zm-1 0a9 9 0 1 0-9 9 9 9 0 0 0 9-9z'%3E%3C/path%3E%3C/svg%3E")
}

.wpcf7 form.wpcf7-form.failed .wpcf7-response-output,
.wpcf7 form.wpcf7-form.aborted .wpcf7-response-output,
.wpcf7 form.wpcf7-form.spam .wpcf7-response-output,
.wpcf7 form.wpcf7-form.invalid .wpcf7-response-output,
.wpcf7 form.wpcf7-form.unaccepted .wpcf7-response-output {
    background-position: 20px 16px;
    background-repeat: no-repeat;
    background-size: 32px 32px;
	border-left: 8px solid hsl(350deg, 60%, 50%);
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='hsl(350deg, 60%, 50%)' d='M11.5 14.2V5.7h1.2v8.5zm-.1 4.1h1.2v-1.8h-1.2zM22 7.9v8.3L16.1 22H7.9L2 16.2V7.9L7.9 2h8.2zm-1 .4L15.7 3H8.3L3 8.3v7.5L8.3 21h7.4l5.3-5.2z'%3E%3C/path%3E%3C/svg%3E")
}

.wpcf7-form.submitting .wpcf7-submit {
    pointer-events: none;
    opacity: .5;
    cursor: none;
}

.wpcf7-form .wpcf7-submit {
    transition: opacity .1s ease-in-out;
}

#menu-bottom-footer {
    display: flex;
    flex-wrap: wrap;
	margin-bottom: .5rem;
	gap: .5rem 1rem;
}

#menu-bottom-footer li {
    flex-grow: 0;
    font-size: .777rem;
    align-items: center;
    margin-bottom: .5rem;
}

#menu-bottom-footer li:last-child {
	width:100%;
	margin-top: 1rem
}

#menu-bottom-footer li:first-child {
	width:100%;
}

@media (min-width: 768px) {
	#menu-bottom-footer li:last-child {
		margin-left: auto;
		margin-top: 0;
		width: auto
	}
	#menu-bottom-footer li:first-child {
		width:auto
	}	
}

#menu-bottom-footer li a {
    font-size: inherit;
}

.it-footer .footer-bottom {
    padding-bottom: 0;
}

#radio-appointment {
    max-height: 270px;
    overflow-y: auto;
}

.notification {
    z-index: 10;
}



/* SC 2.4.7 - Tech F78-2.4.7 [WCAG 2.1 (AA)]Using an author-supplied, highly visible focus indicator
 SC 2.4.7 - Tech G195-2.4.7 [WCAG 2.1 (AA)]Using an author-supplied, highly visible focus indicator
*/

.it-header-wrapper .it-header-slim-wrapper .it-header-slim-wrapper-content .it-header-slim-right-zone a {
	margin-top: 0;
    margin-bottom: 0;
	padding: 4.5px 8px;
}

@media (min-width: 992px) {
	.it-header-slim-wrapper .it-header-slim-wrapper-content a.navbar-brand {
		padding-top: 6px;
		padding-bottom: 6px;
	} 
	.it-header-wrapper .it-header-slim-wrapper .it-header-slim-wrapper-content .it-header-slim-right-zone a {
		margin-top: 0;
		margin-bottom: 0;
		height: calc(100% - 12px);
		align-self: center;
	}
}


/* SC 1.4.3 - Tech G18 [WCAG 2.1 (AA)]Ensuring that a contrast ratio of at least 4.5:1 exists between text (and images of text) and background behind the text
*/
.card .card-body .card-title.h5.sito-tematico {
    color: white;
}
.card .card-body .card-title.h5.sito-tematico + p {
    color: white;
}

button:focus {
    z-index: 10;
}

.btn-confirm-action {
	background-color: #1a63bc;
    border-color: #1a63bc;
	color: #fff;
    font-weight:bold;	
}

.btn-confirm-action:hover {
    background-color: #155098;
    color: #fff;
    border-color: #144a8d;
}

.input-group-append.d-flex .btn-confirm-action {
	border-radius: 0 4px 4px 0;
}

/* SC 1.4.3 - Tech G18 [WCAG 2.1 (AA)]Ensuring that a contrast ratio of at least 4.5:1 exists between text (and images of text) and background behind the textop
*/
.evidence-section .card.card-teaser .card-text {
    font-size: 1rem;
    font-weight: 500;
	background: white;
    color: var(--bs-card-color);
}

@media (min-width: 576px) {
	.evidence-section .card.card-teaser .card-text {
		font-size: 0.975rem;
	}
}

.cmp-rating .iscrizioni-header .step {
    background: white;
    color: var(--bs-card-color);
}

.it-header-wrapper .navbar-collapsable .logo-hamburger .it-brand-title {
    background: white;
}

.modal-body .search-form label,
.cmp-rating .form-group label {
	background: white;
}

.it-header-wrapper .navbar-collapsable .it-socials {
    background: white;
	color: #383838;
    font-weight: 600;
    font-size: .925rem;
}

.navbar .close-div .close-menu {
    color: #ffffff;
    font-size:.925rem;
}

/* SC 1.4.10 - Tech C38 [WCAG 2.1 (AA)]Using CSS width, max-width and flexbox to fit labels and inputs
*/

@media (max-width: 767.8px) {
	.modal.search-modal .row.variable-gutters>.col, 
	.modal.search-modal .row.variable-gutters>[class*=col-] {
		padding-right: 0;
		padding-left: 0;
	}
	
	.modal.search-modal .row.variable-gutters {
		margin-right: 0;
		margin-left: 0;
	}
	
	.modal.search-modal .input-group {
		align-items: end;
	}
}

/* SC 1.4.10 - Tech C38 [WCAG 2.1 (AA)]Using CSS width, max-width and flexbox to fit labels and inputs
*/

/* SC 1.4.3 - Tech G18 [WCAG 2.1 (AA)]Ensuring that a contrast ratio of at least 4.5:1 exists between text (and images of text) and background behind the text
*/
.cmp-hero .it-hero-wrapper .it-hero-text-wrapper .hero-title {
    color:#191919;
	background:#fff
}

.cmp-hero .it-hero-wrapper .it-hero-text-wrapper .hero-text {
    background:#fff
}

.cmp-card-simple .text-paragraph {
    color:#191919;
	background:#fff
}

.cmp-card-simple p.text-secondary {
    color:#3d4a57;
	background:#fff
}


/* cookie bar */

.eu-cookies-bar-cookies-bar {
    margin: 15px auto;
}

.eu-cookies-bar-cookies-bar a {
    color:inherit;
}

.eu-cookies-bar-cookies-bar-button.eu-cookies-bar-cookies-bar-button-accept,
.eu-cookies-bar-cookies-bar-button.eu-cookies-bar-cookies-bar-button-decline {
    padding: 5px 20px;
}

@media screen and (max-width: 768px) {
	.eu-cookies-bar-cookies-bar-wrap .eu-cookies-bar-cookies-bar {
		font-size: 15px !important;
	}
}

@media screen and (max-width: 1280px) {
	.eu-cookies-bar-cookies-bar {
		margin: 15px;
	}
}

.dropdown-action-label {
	background:#fff;
	color:var(--bs-primary);
}

.btn:hover .dropdown-action-label {
	color: var(--bs-btn-hover-color)
}


#search-form-bottom, .search-modal #search-form {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-align-items: flex-start;
    -webkit-box-align: flex-start;
    -ms-flex-align: flex-start;
    align-items: flex-start;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1
}

.search-modal .modal-title {
    max-width: 1296px;
    margin-left: auto;
    margin-right: auto;
}

.cmp-input-search {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-align-items: flex-start;
    -webkit-box-align: flex-start;
    -ms-flex-align: flex-start;
    align-items: flex-start;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1
}

.search-modal .cmp-input-search {
    max-width: 1316px;
    margin: 0 auto;
    padding: 0 2vw;
    flex-direction: column;
}

.cmp-input-search>div:not(.row) {
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
    min-height: 2.75rem;
    padding-bottom: 0.125rem;
}

.home .cmp-input-search>div:not(.row) {
    background: #f6f6f6;
    
}

.search-modal .cmp-input-search>div:not(.row) {
    background: #ffffff;
    width: 100%;
}

.cmp-input-search>div>div:not(.col-lg-5) {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex
}

.search-modal .cmp-input-search>div>div:not(.col-lg-5) {
    align-items: self-end;
    gap: 1.5rem;
}


.cmp-input-search>div>div>div:not(.searches-list-wrapper) {
    position: relative;
    color: #141414;
    -webkit-box-flex: 1;
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-align-items: flex-start;
    -webkit-box-align: flex-start;
    -ms-flex-align: flex-start;
    align-items: flex-start
}

.home .cmp-input-search>div>div>div:not(.searches-list-wrapper) {
    background: #f6f6f6;    
}

.search-modal .cmp-input-search>div>div>div:not(.searches-list-wrapper) {
    background: #fff;
}

.cmp-input-search .autocomplete.form-control + .form-check {
    width: 190px;
    min-width: 190px;
}

.cmp-input-search .form-check > [type=checkbox]+label {
    font-size: .8rem;
}

.cmp-input-search .autocomplete-icon {
    left: 0;
    padding: .35rem .5rem;
    position: absolute;
    top: 0;
    width: 2.5rem;
    z-index: 5;
    height: 2.5rem;
    border-bottom: 1px solid #5d7083
}

.search-modal .cmp-input-search .autocomplete-icon {
    padding: 1.05rem 0 0 1rem;
    width: 3.5rem;
    height: 100%;
    border-bottom: none;
    background: transparent;
}

.cmp-input-search .autocomplete.form-control {
    padding-left: 3rem;
    width: 100%
}

.search-modal .cmp-input-search .autocomplete.form-control {
    padding-left: 4rem;
    font-size: 2.2222222222rem;
    font-weight: 400;
    height: auto;
}

.cmp-input-search button[type=submit] {
    height: 2.5rem;
    border-radius: 0 4px 4px 0;
    line-height: 1
}

.search-modal .cmp-input-search button[type=submit] {
    height: 2.5rem;
    border-radius: 4px;
    padding-left: 2rem;
}

.cmp-accordion.faq .accordion-header .button-wrapper {
	background:#fff
}

main button:focus:not(:focus-visible) {
	box-shadow: 0 0 0 3px #fff !important;
    outline: 3px solid #000 !important;
}

.leaflet-container .leaflet-control-attribution {
    display: initial;
}

/*  SC 1.4.1 - Tech F73 [WCAG 2.1 (A)]Failure of Success Criterion 1.4.1 due to creating links that are not visually evident without color visionopen_in_new */
.leaflet-bar a.leaflet-disabled {
    cursor: default;
    background-color: #ffffff;
    color: #686868;
    cursor: not-allowed;
    box-shadow: inset 100px 100px #62626254;
}

/* SC 1.4.1 - Tech F73 [WCAG 2.1 (A)]Failure of Success Criterion 1.4.1 due to creating links that are not visually evident without color vision */
.leaflet-container .leaflet-control-attribution a {
    color: var(--bs-link-color);
    text-decoration: underline;
    font-weight: 600;
}

.it-header-slim-right-zone > a:nth-of-type(3) {
	display: none !important;
}

.it-header-slim-right-zone > a:nth-of-type(2) {
	border-right: none !important;
}